package com.qmth.teachcloud.report.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.teachcloud.report.business.entity.TBExam;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: TBExamResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/7
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TBExamResult extends TBExam implements Serializable {

    @ApiModelProperty(value = "学期")
    private String semesterStr;

    public TBExamResult() {

    }

    public TBExamResult(Long id, String semester) {
        setId(id);
        setSemesterStr(semester);
    }

    public TBExamResult(Long id, String examName, String examCode) {
        setId(id);
        setExamName(examName);
        setExamCode(examCode);
    }

    public String getSemesterStr() {
        return semesterStr;
    }

    public void setSemesterStr(String semesterStr) {
        this.semesterStr = semesterStr;
    }
}
